> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run bulk enrichment

> Submits a bulk enrichment run for the specified enrichment ID.

**Pricing:** for enrichments with `pricing.type == "per_parameter"`, the cost per request is `price × params[pricing.parameter]`. Check `GET /v1/enrichments/{id}` to see the pricing details.

<Info>
  This runs an enrichment in bulk **headless** — results are returned inline. To enrich rows stored in a Databar table, see [Run table enrichment](/api-reference/endpoint/tables-run-enrichment).
</Info>

<Warning>
  This endpoint is **asynchronous**. It returns a `task_id` — poll [Get task status](/api-reference/endpoint/tasks-get-status) to retrieve your results. Task data expires after **24 hours**.
</Warning>


## OpenAPI

````yaml POST /v1/enrichments/{enrichment_id}/bulk-run
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/enrichments/{enrichment_id}/bulk-run:
    post:
      tags:
        - Enrichment
      summary: Run Bulk Enrichment
      description: >-
        Submits a bulk enrichment run for the specified enrichment ID.


        **Pricing:** for enrichments with `pricing.type == "per_parameter"`, the
        cost per request is `price × params[pricing.parameter]`. Check `GET
        /v1/enrichments/{id}` to see the pricing details.
      operationId: bulk_run_v1_enrichments__enrichment_id__bulk_run_post
      parameters:
        - name: enrichment_id
          in: path
          required: true
          schema:
            type: integer
            description: The ID of the enrichment to run
            title: Enrichment Id
          description: The ID of the enrichment to run
        - name: x-apikey
          in: header
          required: true
          schema:
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/app__api__v1__enrichment__BulkRequest'
            examples:
              normal:
                summary: A standard request
                description: Single-page bulk enrichment run
                value:
                  params:
                    - param1: value1
                      param2: value2
              with_pagination:
                summary: Bulk request with pagination
                description: Fetch 3 pages per row. Each page per row is billed separately.
                value:
                  params:
                    - query: software engineer
                      location: New York
                    - query: data scientist
                      location: San Francisco
                  pagination:
                    pages: 3
      responses:
        '200':
          description: Successfully submitted the bulk enrichment run
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app__api__v1__enrichment__Task'
              example:
                task_id: 123e4567-e89b-12d3-a456-426614174000
                status: processing
        '400':
          description: Invalid params
          content:
            application/json:
              example:
                detail:
                  - param1:
                      - This field is required.
        '403':
          description: Forbidden access
          content:
            application/json:
              example:
                detail: Forbidden
        '404':
          description: Enrichment ID does not exist
        '406':
          description: Forbidden access
          content:
            application/json:
              example:
                detail: Check the number of remaining credits or the tariff plan.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    app__api__v1__enrichment__BulkRequest:
      properties:
        params:
          items:
            type: object
          type: array
          title: Params
        pagination:
          anyOf:
            - $ref: '#/components/schemas/PaginationOptions'
            - type: 'null'
      type: object
      required:
        - params
      title: BulkRequest
    app__api__v1__enrichment__Task:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          type: string
          title: Status
      type: object
      required:
        - task_id
        - status
      title: Task
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaginationOptions:
      properties:
        pages:
          type: integer
          maximum: 100
          minimum: 1
          title: Pages
          description: Number of pages to fetch
          default: 1
      type: object
      title: PaginationOptions
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````